## List admins **get** `/v2/admins` Returns all admins for your organization. This endpoint returns all admins at once (typically a small list). No pagination is supported. ### Response Format Returns a list object with: - `object` - Always "list" - `data` - Array of admin objects - `nextCursor` - Always null ### Admin Object Each admin includes: - `id` - Unique admin identifier - `name` - Admin's display name - `email` - Admin's email address - `picture` - Profile picture URL - `roleId` - ID of the role assigned to this admin ### Header Parameters - `"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"` - `"2026-01-01.nova"` - `"2025-12-12.clover"` ### Returns - `data: array of Admin` Array of admins - `id: string` Unique identifier - `object: "admin"` Object type identifier - `"admin"` - `email: optional string` Admin email address - `name: optional string` Admin display name - `profilePicture: optional string` Profile picture URL - `roleId: optional string` Role ID assigned to this admin - `nextCursor: string` Cursor for fetching the next page (cursor-based pagination) - `object: "list"` Object type identifier - `"list"` - `pagination: optional object { limit, page, total, totalPages }` Pagination metadata for page-based requests - `limit: number` Items per page - `page: number` Current page number - `total: number` Total number of items - `totalPages: number` Total number of pages ### Example ```http curl https://do.featurebase.app/v2/admins \ -H "Authorization: Bearer $FEATUREBASE_API_KEY" ``` #### Response ```json { "data": [ { "id": "5fef50c5e9458a0012f82456", "object": "admin", "email": "john@example.com", "name": "John Doe", "profilePicture": "https://example.com/avatar.png", "roleId": "6648f22b7b23fb2f4307aafe" } ], "nextCursor": null, "object": "list", "pagination": { "limit": 10, "page": 1, "total": 42, "totalPages": 5 } } ```